# Uses of Class
org.apache.lucene.codecs.uniformsplit.BlockLine.Serializer

Packages that use BlockLine.Serializer
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of BlockLine.Serializer in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as BlockLine.Serializer
  Modifier and Type
  Field
  Description
  `protected BlockLine.Serializer`
  BlockReader.`blockLineReader`
  `protected final BlockLine.Serializer`
  BlockWriter.`blockLineWriter`
  Methods in org.apache.lucene.codecs.uniformsplit that return BlockLine.Serializer
  Modifier and Type
  Method
  Description
  `protected BlockLine.Serializer`
  BlockReader.`createBlockLineSerializer()`
  `protected BlockLine.Serializer`
  BlockWriter.`createBlockLineSerializer()`

- ## Uses of BlockLine.Serializer in org.apache.lucene.codecs.uniformsplit.sharedterms

  Subclasses of BlockLine.Serializer in org.apache.lucene.codecs.uniformsplit.sharedterms
  Modifier and Type
  Class
  Description
  `static class`
  `STBlockLine.Serializer`
  Reads block lines encoded incrementally, with all fields corresponding to the term of the line.
  Methods in org.apache.lucene.codecs.uniformsplit.sharedterms that return BlockLine.Serializer
  Modifier and Type
  Method
  Description
  `protected BlockLine.Serializer`
  STBlockWriter.`createBlockLineSerializer()`